<div class="container">
  <std-card card-title="CPA Informatie">
    
    <div *ngIf="cpaContentError">
      <h3>Error</h3>
      <h4 class="text-danger">{{cpaContentError}}</h4>
    </div>

    <div *ngIf="cpaPartyError">
      <h3>Error</h3>
      <h4 class="text-danger">{{cpaPartyError}}</h4>
    </div>

    <div class="content-page" *ngIf="cpaContentResponse && cpaPartyResponse">
      <std-accordion single-open="true">

        <std-accordion-item>
          <div slot="header">Inhoud</div>
          <div slot="content">
            <div class=" bs-docs-section">
              <div class="row">
                <div class="col-lg-12">
                  <div class="form-group">
                    <textarea class="form-control" id="cpaTextarea" rows="15" disabled>{{cpaContentResponse}}</textarea>
                  </div>
                </div>
              </div>
            </div>
            <br />
          </div>
        </std-accordion-item>

        <std-accordion-item>
          <div slot="header">Gekoppelde partijen</div>
          <div slot="content">
            <ul *ngFor="let party of cpaPartyResponse">
              <li><strong>Party:</strong> {{party.partyId}} - {{party.partyName}}</li>
              <ul *ngFor="let roles of party.cpaRoles">
                <li><strong>Role:</strong> {{roles.name}} - {{roles.service}}</li>
                <ul *ngFor="let receiveAction of roles.receiveActions">
                  <li><strong>Receive Action:</strong> {{receiveAction}}</li>
                </ul>
                <ul *ngFor="let sendAction of roles.sendActions">
                  <li><strong>Send Action:</strong> {{sendAction}}</li>
                </ul>
              </ul>
            </ul>
          </div>
        </std-accordion-item>

      </std-accordion>
      <br />
    </div>

    <div [hidden]="cpaContentResponse && cpaPartyResponse">
      <mat-spinner></mat-spinner>
      <h4>Aan het laden. . . Even wachten</h4>
    </div>

    <div class="content-page">
      <std-button type="primary" (click)="onBack()">Back</std-button>
    </div>

  </std-card>
</div>